VULKAN_HPP_NAMESPACE::BufferCopy Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| BufferCopy (DeviceSize srcOffset_=0, DeviceSize dstOffset_=0, DeviceSize size_=0)
| BufferCopy (VkBufferCopy const &rhs)
BufferCopy & | operator= (VkBufferCopy const &rhs)
BufferCopy & | setSrcOffset (DeviceSize srcOffset_)
BufferCopy & | setDstOffset (DeviceSize dstOffset_)
BufferCopy & | setSize (DeviceSize size_)
| operator VkBufferCopy const & () const
| operator VkBufferCopy & ()
bool | operator== (BufferCopy const &rhs) const
bool | operator!= (BufferCopy const &rhs) const

## Data Fields

DeviceSize | srcOffset
DeviceSize | dstOffset
DeviceSize | size

## Detailed Description

Definition at line 5863 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BufferCopy() [1/2]

VULKAN_HPP_NAMESPACE::BufferCopy::BufferCopy | ( | DeviceSize | srcOffset_ = `0`,
|  | DeviceSize | dstOffset_ = `0`,
|  | DeviceSize | size_ = `0`
| ) |  |

inline

Definition at line 5865 of file vulkan.hpp.

: srcOffset( srcOffset_ )
, dstOffset( dstOffset_ )
, size( size_ )
{
}

## BufferCopy() [2/2]

VULKAN_HPP_NAMESPACE::BufferCopy::BufferCopy | ( | VkBufferCopy const & | rhs | ) |

inline

Definition at line 5874 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BufferCopy ) );
}

References memcpy.

## Member Function Documentation

## operator VkBufferCopy &()

VULKAN_HPP_NAMESPACE::BufferCopy::operator VkBufferCopy & | ( |  | ) |

inline

Definition at line 5907 of file vulkan.hpp.

{
return *reinterpret_cast<VkBufferCopy*>(this);
}

## operator VkBufferCopy const &()

VULKAN_HPP_NAMESPACE::BufferCopy::operator VkBufferCopy const & | ( |  | ) | const

inline

Definition at line 5902 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBufferCopy*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BufferCopy::operator!= | ( | BufferCopy const & | rhs | ) | const

inline

Definition at line 5919 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BufferCopy& VULKAN_HPP_NAMESPACE::BufferCopy::operator= | ( | VkBufferCopy const & | rhs | ) |

inline

Definition at line 5879 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BufferCopy ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BufferCopy::operator== | ( | BufferCopy const & | rhs | ) | const

inline

Definition at line 5912 of file vulkan.hpp.

{
return ( srcOffset == rhs.srcOffset )
&& ( dstOffset == rhs.dstOffset )
&& ( size == rhs.size );
}

References dstOffset, size, and srcOffset.

Referenced by operator!=().

## setDstOffset()

BufferCopy& VULKAN_HPP_NAMESPACE::BufferCopy::setDstOffset | ( | DeviceSize | dstOffset_ | ) |

inline

Definition at line 5890 of file vulkan.hpp.

{
dstOffset = dstOffset_;
return *this;
}

References dstOffset.

## setSize()

BufferCopy& VULKAN_HPP_NAMESPACE::BufferCopy::setSize | ( | DeviceSize | size_ | ) |

inline

Definition at line 5896 of file vulkan.hpp.

{
size = size_;
return *this;
}

## setSrcOffset()

BufferCopy& VULKAN_HPP_NAMESPACE::BufferCopy::setSrcOffset | ( | DeviceSize | srcOffset_ | ) |

inline

Definition at line 5884 of file vulkan.hpp.

{
srcOffset = srcOffset_;
return *this;
}

References srcOffset.

## Field Documentation

## dstOffset

DeviceSize VULKAN_HPP_NAMESPACE::BufferCopy::dstOffset

Definition at line 5925 of file vulkan.hpp.

Referenced by operator==(), and setDstOffset().

## size

DeviceSize VULKAN_HPP_NAMESPACE::BufferCopy::size

Definition at line 5926 of file vulkan.hpp.

Referenced by operator==().

## srcOffset

DeviceSize VULKAN_HPP_NAMESPACE::BufferCopy::srcOffset

Definition at line 5924 of file vulkan.hpp.

Referenced by operator==(), and setSrcOffset().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BufferCopy::operator==
bool operator==(BufferCopy const &rhs) const
Definition: vulkan.hpp:5912
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BufferCopy::BufferCopy
BufferCopy(DeviceSize srcOffset_=0, DeviceSize dstOffset_=0, DeviceSize size_=0)
Definition: vulkan.hpp:5865
VkBufferCopy
Definition: vulkan_core.h:2703
VULKAN_HPP_NAMESPACE::BufferCopy::srcOffset
DeviceSize srcOffset
Definition: vulkan.hpp:5924
VULKAN_HPP_NAMESPACE::BufferCopy::size
DeviceSize size
Definition: vulkan.hpp:5926
VULKAN_HPP_NAMESPACE::BufferCopy::dstOffset
DeviceSize dstOffset
Definition: vulkan.hpp:5925
size
GLsizeiptr size
Definition: SDL_opengl_glext.h:537